Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Java 1.5 for sparc?!?! please!!
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc
View previous topic :: View next topic  
Author Message
dirtbag
Guru
Guru


Joined: 18 Feb 2003
Posts: 506
Location: NC

PostPosted: Mon Jul 31, 2006 3:20 pm    Post subject: Java 1.5 for sparc?!?! please!! Reply with quote

ok, so im the first one on my block running gentoo 2006 with 2.6.17 kernel on my sparc box.
jason@spike ~ $ uname -a
Linux spike 2.6.17-gentoo-r4 #3 Thu Jul 27 21:52:28 EDT 2006 sparc64 sun4u GNU/Linux
jason@spike ~ $

now I just need java 1.5 so I can run net-im/wildfire

but everyone and their brother for java 1.5 is masked.. has anyone gotten java 1.5 jre to work on sparc yet?
if so please tell me how.

-DB
Back to top
View user's profile Send private message
gust4voz
Retired Dev
Retired Dev


Joined: 09 Sep 2003
Posts: 373
Location: Buenos Aires, Argentina

PostPosted: Tue Aug 01, 2006 6:08 pm    Post subject: Reply with quote

No java, it's binary-only and since upstream (AKA authors, blackdown, so on) don't build a new one there's none.
_________________
Gustavo Zacarias
Gentoo/SPARC monkey
Back to top
View user's profile Send private message
dirtbag
Guru
Guru


Joined: 18 Feb 2003
Posts: 506
Location: NC

PostPosted: Tue Aug 01, 2006 7:15 pm    Post subject: Reply with quote

:evil: @$#%@^@$!!

thanks for the info Flexo!

-db
Back to top
View user's profile Send private message
ThorstenHirsch
Tux's lil' helper
Tux's lil' helper


Joined: 25 Sep 2003
Posts: 111

PostPosted: Thu Aug 03, 2006 4:32 pm    Post subject: Reply with quote

They don't build one anymore?
...so they all believe, that Sun will really open Java in the near future?

Well...let's hope so.
_________________
alias bauerbob
Back to top
View user's profile Send private message
Weeve
Retired Dev
Retired Dev


Joined: 30 Oct 2002
Posts: 641

PostPosted: Sat Aug 05, 2006 7:42 pm    Post subject: Reply with quote

Sun never made a Java VM for Linux on SPARCs as far as I'm aware. Blackdown's is now too far out of date to be of any use if you want anything resembling current toolchain.
Back to top
View user's profile Send private message
dirtbag
Guru
Guru


Joined: 18 Feb 2003
Posts: 506
Location: NC

PostPosted: Sat Aug 05, 2006 11:03 pm    Post subject: so what DOES work? Reply with quote

so whats the most up2date jre that I could possibly run on the sparc linux platform?

-DB
Back to top
View user's profile Send private message
Weeve
Retired Dev
Retired Dev


Joined: 30 Oct 2002
Posts: 641

PostPosted: Sat Aug 05, 2006 11:16 pm    Post subject: Reply with quote

Blackdown has a Java 1.4.1, but if you are running a 2006.0 profile, it won't work at all (toolchain causes issues and it is masked). Blackdown also very crash-happy if you run it on an SMP system. It's currently only supported in the 2005.x profiles, which will be deprecated when 2006.1 is released (which is "when its done" but probably soon-ish).
Back to top
View user's profile Send private message
ThorstenHirsch
Tux's lil' helper
Tux's lil' helper


Joined: 25 Sep 2003
Posts: 111

PostPosted: Sun Aug 06, 2006 1:28 pm    Post subject: Reply with quote

Sun never made a JRE for Linux/Sparc because of their product strategy - they want you to install Solaris on a Sparc. But I guess that the blackdown guys or the sable vm guys or whoever will be glad to do so when Sun is opening the sources.
_________________
alias bauerbob
Back to top
View user's profile Send private message
dirtbag
Guru
Guru


Joined: 18 Feb 2003
Posts: 506
Location: NC

PostPosted: Sun Aug 06, 2006 1:47 pm    Post subject: Reply with quote

and the text at
http://www.blackdown.org/java-linux/java2-status/j2se1.5-status.html
it terribly uninformative.. ;)

-DB
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum